      SUBROUTINE NEW(TR,RNU)
C     ****
C     ****     CALCULATES FACTORS FOR NU MATRIX AND RETURNS IN MATRIX
C     ****     RNU
C     ****
C     ****     TR = .5*(TI+TN)
C     ****
      include "params.h"
      include "blnk.h"
      include "cons.h"
      include "index.h"
      include "buff.h"
      include "phys.h"
      DIMENSION TR(ZIMXP,ZKMXP),RNU(ZIMXP,ZKMXP,3,3)
      COMMON/MASS/RMN4S,RMN2D,RMNO,BRN2D,COLFAC
C     ****
C     ****     SET MATRIX
C     ****
      DO 1 I=1,LEN2
C     ****          O2+    -    O2
      RNU(I,1,1,1)=2.59E-11*SQRT(TR(I,1))*(1.-0.073*ALOG10(TR(I,1)))**2
C     ****          O+     -    O2
      RNU(I,1,2,1)=6.64E-10
C     ****          NO+    -    O2
      RNU(I,1,3,1)=4.27E-10
C     ****          O2+    -     O
      RNU(I,1,1,2)=2.31E-10
C
C     ****          O+     -     O
C Schunk and Walker
C
!     RNU=3.67E-11*SQRT(TR(I,1))*(1.-0.064*ALOG10(TR(I,1)))**2*COLFAC
      RNU(I,1,2,2)=3.67E-11*SQRT(TR(I,1))*
     |             (1.-0.064*ALOG10(TR(I,1)))**2*COLFAC
C
C Pesnell (email, NOV 99 -- slight correction over Pesnell et al. 1993)
C
C  RNU=2.92E-11*SQRT(TR(I,1))*(1.-0.135*ALOG10(TR(I,1)/1000.))**2
C
C To include a factor COLFAC, rewrite above assuming Pesnell's COLFAC=1.25
C
C     RNU(I,1,2,2)=2.336E-11*SQRT(TR(I,1))*
C    *     (1.-0.135*ALOG10(TR(I,1)*0.001))**2*COLFAC
C
C     ****          NO+    -     O
      RNU(I,1,3,2)=2.44E-10
C     ****          O2+    -    N2
      RNU(I,1,1,3)=4.13E-10
C     ****          O+     -    N2
      RNU(I,1,2,3)=6.82E-10
C     ****          NO+    -    N2
      RNU(I,1,3,3)=4.34E-10
    1 CONTINUE
      RETURN
      END
C
